diff --git a/applications/solvers/multiphase/reactingEulerFoam/reactingMultiphaseEulerFoam/multiphaseSystem/multiphaseSystem.H b/applications/solvers/multiphase/reactingEulerFoam/reactingMultiphaseEulerFoam/multiphaseSystem/multiphaseSystem.H
index ef121a10a..6074dc518 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/reactingMultiphaseEulerFoam/multiphaseSystem/multiphaseSystem.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/reactingMultiphaseEulerFoam/multiphaseSystem/multiphaseSystem.H
@@ -2,7 +2,7 @@
   =========                 |
   \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
    \\    /   O peration     | Website:  https://openfoam.org
-    \\  /    A nd           | Copyright (C) 2013-2019 OpenFOAM Foundation
+    \\  /    A nd           | Copyright (C) 2013-2020 OpenFOAM Foundation
      \\/     M anipulation  |
 -------------------------------------------------------------------------------
 License
@@ -53,6 +53,103 @@ class multiphaseSystem
 :
     public phaseSystem
 {
+//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Begin HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
+public:
+
+    // Public Typedefs
+
+        typedef
+            HashPtrTable
+            <
+                volScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            KdTable;
+
+        typedef
+            HashPtrTable
+            <
+                surfaceScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            KdfTable;
+
+        typedef
+            HashPtrTable
+            <
+                volScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            VmTable;
+
+        typedef
+            HashPtrTable
+            <
+                surfaceScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            VmfTable;
+
+        typedef
+            HashPtrTable
+            <
+                volVectorField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            FlTable;
+
+        typedef
+            HashPtrTable
+            <
+                surfaceScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            FlfTable;
+
+        typedef
+            HashPtrTable
+            <
+                volVectorField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            FwTable;
+
+        typedef
+            HashPtrTable
+            <
+                surfaceScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            FwfTable;
+
+        typedef
+            HashPtrTable
+            <
+                volVectorField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            FtTable;
+
+        typedef
+            HashPtrTable
+            <
+                surfaceScalarField,
+                phasePairKey,
+                phasePairKey::hash
+            >
+            FtfTable;
+//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ End HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
+
+
 private:
 
     // Private Typedefs
@@ -178,6 +275,39 @@ public:
         //  Field values are 1 near and 0 away for the interface.
         tmp<volScalarField> nearInterface() const;
 
+//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Begin HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
+        //- Return the drag coefficient for all phase-pairs
+        virtual const KdTable& Kds() const = 0;
+
+        //- Return the face drag coefficient for all phase-pairs
+        virtual const KdfTable& Kdfs() const = 0;
+
+        //- Return the virtual mass force coefficient for all phase-pairs
+        virtual const VmTable& Vms() const = 0;
+
+        //- Return the face based virtual mass force coefficient
+        //  for all phase-pairs
+        virtual const VmfTable& Vmfs() const = 0;
+
+        //- Return the lift force for all phase-pairs
+        virtual const FlTable& Fls() const = 0;
+
+        //- Return the face lift force for all phase-pairs
+        virtual const FlfTable& Flfs() const = 0;
+
+        //- Return the wall lubrication force for all phase-pairs
+        virtual const FwTable& Fws() const = 0;
+
+        //- Return the face wall lubrication force for all phase-pairs
+        virtual const FwfTable& Fwfs() const = 0;
+
+        //- Return the turbulent dispersion force for all phase-pairs
+        virtual const FtTable& Fts() const = 0;
+
+        //- Return the face turbulent dispersion force for all phase-pairs
+        virtual const FtfTable& Ftfs() const = 0;
+//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ End HZDR ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
+
         //- Solve for the phase fractions
         virtual void solve
         (
-- 
2.25.0

